import express from 'express';
import { auth } from '../../middleware/auth/index.js';
import { searchArticles } from './controllers/search.js';
import { listArticles } from './controllers/list.js';
import { getArticle, createArticle, updateArticle, deleteArticle } from './controllers/crud.js';

const router = express.Router();

// Search and list routes
router.get('/search', searchArticles);
router.get('/', listArticles);

// CRUD routes
router.get('/:id', getArticle);
router.post('/', auth, createArticle);
router.put('/:id', auth, updateArticle);
router.delete('/:id', auth, deleteArticle);

export default router;