import express from 'express';
import { auth } from '../../middleware/auth/index.js';
import { login, getCurrentUser } from './controllers/auth.js';
import { validateRequest } from '../../middleware/validation/validateRequest.js';
import { loginSchema } from './validation/authSchemas.js';

const router = express.Router();

router.post('/login', validateRequest(loginSchema), login);
router.get('/me', auth, getCurrentUser);

export default router;